Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 613680 - option -o doesn't work in wallaby-inventory
option -o doesn't work in wallaby-inventory
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby-utils (Show other bugs)
Development
All Linux
low Severity low
: 1.3
: ---
Assigned To: Will Benton
Lubos Trilety
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 11:01 EDT by Lubos Trilety
Modified: 2010-10-20 07:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2010-07-12 11:01:06 EDT
Description of problem:
The tool wallaby-inventory fails if option -o is used.

Version-Release number of selected component (if applicable):
wallaby-utils-0.6.1-2

How reproducible:
100%

Steps to Reproduce:
1. run 'wallaby-inventory -o provisioned -U login -P password'
  
Actual results:
tool fails and error message appears
/usr/bin/wallaby-inventory:110: undefined local variable or method `nodekinds' for main:Object (NameError)
	from /usr/bin/wallaby-inventory:105:in `map'
	from /usr/bin/wallaby-inventory:105

Expected results:
no error, output is correctly filtered

Additional info:
Comment 1 Will Benton 2010-07-21 14:06:17 EDT
This is fixed upstream and will be in the next package.
Comment 2 Lubos Trilety 2010-08-10 08:18:21 EDT
Tested with (version):
wallaby-utils-0.9.2-1
wallaby-0.9.2-1

Tested on:
RHEL5 x86_64,i386  - passed

>>> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.